## gitlab-ci-multi-runner 12.7.1+dfsg

=== debian/changelog ===
gitlab-ci-multi-runner (12.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 Jan 2020 19:08:25 +1100

gitlab-ci-multi-runner (12.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed unused "golang-github-pborman-uuid-dev" from Build-Depends

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 23 Jan 2020 09:20:23 +1100

gitlab-ci-multi-runner (12.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Renamed "debian/TODO.Debian" -> "debian/TODO".
  * Removed unused "golang-github-vbatts-tar-split-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 19:24:23 +1100

gitlab-ci-multi-runner (12.5.0+dfsg-2) unstable; urgency=medium

  * Removed "golang-github-docker-distribution-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 17:01:18 +1100

gitlab-ci-multi-runner (12.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 09:34:57 +1100

gitlab-ci-multi-runner (12.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * Build-Depends:
    - golang-github-juju-ratelimit-dev
    - golang-github-opencontainers-runc-dev
    - golang-github-opencontainers-specs-dev
    = golang-github-azure-go-autorest-dev (>= 10.15.5~)
    + golang-github-docker-go-units-dev
    + golang-github-gofrs-flock-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Oct 2019 15:31:13 +1100

gitlab-ci-multi-runner (12.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * DH & compat to version 12.
  * Added "Pre-Depends" field.
  * Build-Depends:
    = golang-github-docker-go-connections-dev (>= 0.4.0~)
    = golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    = golang-github-vbatts-tar-split-dev (>= 0.11.1~)
  * Install "git-lfs" into runner-helper image (Closes: #941033).
    Thanks, Melvin Vermeeren.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Sep 2019 12:26:28 +1000
