=== debian/changelog ===
gitlab-ci-multi-runner (13.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add golang-google-cloud-dev to Build-Depends
  * Exclude scripts dir when building.
    This drops two test binaries:
    + /usr/bin/update-feature-flags-docs
    + /usr/bin/pull-images-for-tests

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jan 2021 19:52:33 +0800

gitlab-ci-multi-runner (13.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * New patch to fix FTBFS on 32-bit architectures
    from https://gitlab.com/gitlab-org/gitlab-runner/-/merge_requests/2597
    "remove test with int overflow"

 -- Anthony Fok <foka@debian.org>  Tue, 22 Dec 2020 09:12:30 -0700

gitlab-ci-multi-runner (13.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * Recommends += git-lfs
  * README.Debian: documented integration with Docker (Closes: #971520)

  [ Daniel Gomez ]
  * README.Debian: Fix typo.

  [ Arnaud Rebillout ]
  * Build-Depends += golang-github-kr-pty-dev
    to fix FTBFS

  [ Anthony Fok ]
  * Build-Depends on golang-any (>= 2:1.13~) as per go.mod
  * New patch to fix FTBFS due to added argument in ContainerCreate() with
    golang-github-docker-docker-dev (>= 20.10.0~beta1)

 -- Anthony Fok <foka@debian.org>  Tue, 22 Dec 2020 06:50:20 -0700

gitlab-ci-multi-runner (13.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use private "github.com/prometheus/client_golang" (Closes: #964639)

  [ Shengjing Zhu ]
  * Bump golang-github-azure-go-autorest-dev to 14.1.1 (Closes: #964872)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 10 Sep 2020 21:47:53 +1000

gitlab-ci-multi-runner (13.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "golang-github-bmatcuk-doublestar-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 03 Jun 2020 15:52:27 +1000

gitlab-ci-multi-runner (12.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 May 2020 08:28:34 +1000

gitlab-ci-multi-runner (12.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * Disabled failing tests (Closes: #954522).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Apr 2020 10:03:22 +1000

gitlab-ci-multi-runner (12.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 27 Feb 2020 12:10:35 +1100
