=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: gitlab-ci-multi-runner
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12) ,dh-golang
-              ,golang-go (>= 2:1.7~)
+              ,golang-any (>= 2:1.13~)
     ,golang-github-azure-go-ansiterm-dev
-    ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
+    ,golang-github-azure-go-autorest-dev (>= 14.1.1~)
     ,golang-github-blang-semver-dev
+    ,golang-github-bmatcuk-doublestar-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
-    ,golang-github-docker-docker-dev (>= 17.12.1~)
+    ,golang-github-docker-docker-dev (>= 20.10.0~beta1)
 #       ,golang-github-docker-distribution-dev
     ,golang-github-docker-go-connections-dev (>= 0.4.0~)
     ,golang-github-docker-go-units-dev
@@ -34,6 +35,7 @@
     ,golang-github-imdario-mergo-dev
     ,golang-github-jpillora-backoff-dev
     ,golang-github-json-iterator-go-dev
+    ,golang-github-kr-pty-dev
     ,golang-github-mattn-go-zglob-dev
     ,golang-github-minio-minio-go-dev (>= 6.0.11~)
     ,golang-github-pkg-errors-dev
@@ -45,6 +47,8 @@
     ,golang-github-urfave-cli-dev
     ,golang-golang-x-crypto-dev
     ,golang-golang-x-oauth2-google-dev
+    ,golang-golang-x-sync-dev
+    ,golang-google-cloud-dev
     ,golang-gopkg-inf.v0-dev
     ,golang-yaml.v2-dev
 # tests:
@@ -74,6 +78,7 @@
     ,lsb-base
 Recommends: ${misc:Recommends}
     ,cdebootstrap
+    ,git-lfs
     ,xz-utils
 Suggests: ${misc:Suggests}
     ,docker.io
