=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_GOPKG_common = $(DH_GOPKG)/common
 #export DH_GOLANG_INSTALL_EXTRA := vendor
 #export DH_GOLANG_INSTALL_ALL := 1
-#export DH_GOLANG_EXCLUDES = apps/gitlab-runner-helper
+export DH_GOLANG_EXCLUDES = executors/kubernetes scripts
 
 ## Set some build variables as per Makefile:
 GO_LDFLAGS ?= \
@@ -55,6 +55,3 @@
         dh_auto_test --max-parallel=4 -- \
             -ldflags "$(GO_LDFLAGS)"
 #-test.short
-
-override_dh_dwz:
-	:
