## gitlab-ci-multi-runner 14.10.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUILT := $(shell date -u +%Y-%m-%dT%H:%M:%S%z)
 export TESTFLAGS ?= -cover
 
-LATEST_STABLE_TAG := $(shell git -c versionsort.prereleaseSuffix="-rc" -c versionsort.prereleaseSuffix="-RC" tag -l "v*.*.*" --sort=-v:refname | awk '!/rc/' | head -n 1)
+LATEST_STABLE_TAG := $(shell git -c versionsort.prereleaseSuffix="-rc" -c versionsort.prereleaseSuffix="-RC" tag -l "v*.*.*" | sort -rV | awk '!/rc/' | head -n 1)
 export IS_LATEST :=
 ifeq ($(shell git describe --exact-match --match $(LATEST_STABLE_TAG) >/dev/null 2>&1; echo $$?), 0)
 export IS_LATEST := true
@@ -14,46 +14,47 @@
 
 PACKAGE_CLOUD ?= ayufan/gitlab-ci-multi-runner
 PACKAGE_CLOUD_URL ?= https://packagecloud.io/
-BUILD_ARCHS ?= -arch '386' -arch 'arm' -arch 'amd64' -arch 'arm64' -arch 's390x'
-BUILD_PLATFORMS ?= -osarch 'darwin/amd64' -os 'linux' -os 'freebsd' -os 'windows' ${BUILD_ARCHS}
-S3_UPLOAD_PATH ?= master
+BUILD_ARCHS ?= -arch '386' -arch 'arm' -arch 'amd64' -arch 'arm64' -arch 's390x' -arch 'ppc64le'
+BUILD_PLATFORMS ?= -osarch 'darwin/amd64' -osarch 'darwin/arm64' -os 'linux' -os 'freebsd' -os 'windows' ${BUILD_ARCHS}
+S3_UPLOAD_PATH ?= main
 
 # Keep in sync with docs/install/linux-repository.md
-DEB_PLATFORMS ?= debian/jessie debian/stretch debian/buster \
-    ubuntu/xenial ubuntu/bionic ubuntu/eoan ubuntu/focal \
+DEB_PLATFORMS ?= debian/stretch debian/buster debian/bullseye \
+    ubuntu/xenial ubuntu/bionic ubuntu/focal \
     raspbian/jessie raspbian/stretch raspbian/buster \
     linuxmint/sarah linuxmint/serena linuxmint/sonya
-DEB_ARCHS ?= amd64 i386 armel armhf arm64 aarch64 s390x
+DEB_ARCHS ?= amd64 i386 armel armhf arm64 aarch64 s390x ppc64le
 RPM_PLATFORMS ?= el/6 el/7 el/8 \
     ol/6 ol/7 \
-    fedora/30
-RPM_ARCHS ?= x86_64 i686 arm armhf arm64 aarch64 s390x
+    fedora/32 fedora/33 fedora/34 \
+    amazon/2
+RPM_ARCHS ?= x86_64 i686 arm armhf arm64 aarch64 s390x ppc64le
 
 PKG = gitlab.com/gitlab-org/$(PACKAGE_NAME)
-COMMON_PACKAGE_NAMESPACE=$(PKG)/common
+COMMON_PACKAGE_NAMESPACE = $(PKG)/common
 
 BUILD_DIR := $(CURDIR)
 TARGET_DIR := $(BUILD_DIR)/out
 
-# Packages in vendor/ are included in ./...
-# https://github.com/golang/go/issues/11659
-export OUR_PACKAGES ?= $(subst _$(BUILD_DIR),$(PKG),$(shell go list ./... | grep -v '/vendor/'))
+export MAIN_PACKAGE ?= gitlab.com/gitlab-org/gitlab-runner
 
 GO_LDFLAGS ?= -X $(COMMON_PACKAGE_NAMESPACE).NAME=$(PACKAGE_NAME) -X $(COMMON_PACKAGE_NAMESPACE).VERSION=$(VERSION) \
               -X $(COMMON_PACKAGE_NAMESPACE).REVISION=$(REVISION) -X $(COMMON_PACKAGE_NAMESPACE).BUILT=$(BUILT) \
               -X $(COMMON_PACKAGE_NAMESPACE).BRANCH=$(BRANCH) \
-              -s -w
+              -w
 GO_FILES ?= $(shell find . -name '*.go')
 export CGO_ENABLED ?= 0
 
 
 # Development Tools
+GOCOVER_COBERTURA = gocover-cobertura
+
 GOX = gox
 
 MOCKERY_VERSION ?= 1.1.0
 MOCKERY ?= .tmp/mockery-$(MOCKERY_VERSION)
 
-GOLANGLINT_VERSION ?= v1.27.0
+GOLANGLINT_VERSION ?= v1.43.0
 GOLANGLINT ?= .tmp/golangci-lint$(GOLANGLINT_VERSION)
 GOLANGLINT_GOARGS ?= .tmp/goargs.so
 
@@ -67,7 +68,6 @@
 .PHONY: all
 all: deps runner-and-helper-bin
 
-include Makefile.deprecation.mk
 include Makefile.runner_helper.mk
 include Makefile.build.mk
 include Makefile.package.mk
@@ -82,8 +82,11 @@
 	# make development_setup - setup needed environment for tests
 	# make runner-bin-host - build executable for your arch and OS
 	# make runner-and-helper-bin-host - build executable for your arch and OS, including docker dependencies
+	# make runner-and-helper-bin-linux - build executable for all supported architectures for linux OS, including docker dependencies
 	# make runner-and-helper-bin - build executable for all supported platforms, including docker dependencies
+	# make runner-and-helper-docker-host - build Alpine and Ubuntu Docker images with the runner executable and helper
 	# make helper-dockerarchive - build Runner Helper docker dependencies for all supported platforms
+	# make helper-dockerarchive-host - build Runner Helper docker dependencies for your oarch and OS
 	#
 	# Testing commands:
 	# make test - run project tests
@@ -110,10 +113,15 @@
 .PHONY: deps
 deps: $(DEVELOPMENT_TOOLS)
 
+.PHONY: check_test_directives
+check_test_directives:
+	@scripts/check_test_directives
+
 .PHONY: lint
 lint: OUT_FORMAT ?= colored-line-number
 lint: LINT_FLAGS ?=
 lint: $(GOLANGLINT)
+	@$(MAKE) check_test_directives >/dev/stderr
 	@$(GOLANGLINT) run ./... --out-format $(OUT_FORMAT) $(LINT_FLAGS)
 
 .PHONY: lint-docs
@@ -121,20 +129,40 @@
 	@scripts/lint-docs
 
 check_race_conditions:
-	@./scripts/check_race_conditions $(OUR_PACKAGES)
+	@./scripts/check_race_conditions
 
 .PHONY: test
 test: helper-dockerarchive-host development_setup simple-test
 
+simple-test: TEST_PKG ?= $(shell go list ./...)
 simple-test:
-	go test $(OUR_PACKAGES) $(TESTFLAGS)
+	# use env -i to clear parent environment variables for go test
+	./scripts/go_test_no_env $(TEST_PKG) $(TESTFLAGS) -ldflags "$(GO_LDFLAGS)"
+
+git1.8-test: export TEST_PKG = gitlab.com/gitlab-org/gitlab-runner/executors/shell gitlab.com/gitlab-org/gitlab-runner/shells
+git1.8-test:
+	$(MAKE) simple-test TESTFLAGS='-cover -tags=integration'
+	$(MAKE) simple-test
+
+cobertura_report: $(GOCOVER_COBERTURA)
+	mkdir -p out/cobertura
+	$(GOCOVER_COBERTURA) < out/coverage/coverprofile.regular.source.txt > out/cobertura/cobertura-coverage-raw.xml
+	@ # NOTE: Remove package paths.
+	@ # See https://gitlab.com/gitlab-org/gitlab/-/issues/217664
+	sed 's;filename=\"gitlab.com/gitlab-org/gitlab-runner/;filename=\";g' out/cobertura/cobertura-coverage-raw.xml > \
+	  out/cobertura/cobertura-coverage.xml
+
+export_test_env:
+	@echo "export GO_LDFLAGS='$(GO_LDFLAGS)'"
+	@echo "export MAIN_PACKAGE='$(MAIN_PACKAGE)'"
 
 parallel_test_prepare:
 	# Preparing test commands
 	@./scripts/go_test_with_coverage_report prepare
 
+parallel_test_execute: export GO_LDFLAGS ?= "$(GO_LDFLAGS)"
 parallel_test_execute: pull_images_for_tests
-	# executing tests
+	# Executing tests
 	@./scripts/go_test_with_coverage_report execute
 
 parallel_test_coverage_report:
@@ -145,6 +173,10 @@
 	# Preparing jUnit test report
 	@./scripts/go_test_with_coverage_report junit
 
+check_windows_test_ignore_list:
+	# Checking for orphaned test names in ignore file
+	@./scripts/check_windows_test_ignore_list
+
 pull_images_for_tests:
 	# Pulling images required for some tests
 	@go run ./scripts/pull-images-for-tests/main.go
@@ -155,8 +187,7 @@
 .PHONY: mocks
 mocks: $(MOCKERY)
 	rm -rf ./helpers/service/mocks
-	find . -type f ! -path '*vendor/*' -name 'mock_*' -delete
-	$(MOCKERY) -dir=./vendor/github.com/ayufan/golang-kardianos-service -output=./helpers/service/mocks -name='(Interface)'
+	find . -type f -name 'mock_*' -delete
 	$(MOCKERY) -dir=./network -name='requester' -inpkg
 	$(MOCKERY) -dir=./helpers -all -inpkg
 	$(MOCKERY) -dir=./executors/docker -all -inpkg
@@ -175,7 +206,8 @@
 	@$(MAKE) mocks
 	# Checking the differences
 	@git --no-pager diff --compact-summary --exit-code -- ./helpers/service/mocks \
-		$(shell git ls-files | grep 'mock_' | grep -v 'vendor/') && \
+		$(shell git ls-files | grep 'mock_') && \
+		!(git ls-files -o | grep 'mock_') && \
 		echo "Mocks up-to-date!"
 
 test-docker:
@@ -214,15 +246,11 @@
 
 packagecloud-deb:
 	# Sending Debian compatible packages...
-	-for DIST in $(DEB_PLATFORMS); do \
-		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/deb/*.deb; \
-	done
+	@-./ci/push_packagecloud $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD) deb $(DEB_PLATFORMS)
 
 packagecloud-rpm:
 	# Sending RedHat compatible packages...
-	-for DIST in $(RPM_PLATFORMS); do \
-		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/rpm/*.rpm; \
-	done
+	@-./ci/push_packagecloud $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD) rpm $(RPM_PLATFORMS)
 
 packagecloud-yank:
 ifneq ($(YANK),)
@@ -269,7 +297,7 @@
 
 prepare_zoneinfo:
 	# preparing the zoneinfo file
-	@cp $$GOROOT/lib/time/zoneinfo.zip out/
+	@cp $(shell go env GOROOT)/lib/time/zoneinfo.zip out/
 
 prepare_index: export CI_COMMIT_REF_NAME ?= $(BRANCH)
 prepare_index: export CI_COMMIT_SHA ?= $(REVISION)
@@ -285,8 +313,12 @@
 								-gpg-password-env GPG_PASSPHRASE
 
 release_docker_images:
-	# Releasing Docker images
+	# Releasing GitLab Runner images
 	@./ci/release_docker_images
+
+release_helper_docker_images:
+	# Releasing GitLab Runner Helper images
+	@./ci/release_helper_docker_images
 
 generate_changelog: export CHANGELOG_RELEASE ?= $(VERSION)
 generate_changelog: $(GITLAB_CHANGELOG)
@@ -294,42 +326,3 @@
 	@$(GITLAB_CHANGELOG) -project-id 250833 \
 		-release $(CHANGELOG_RELEASE) \
 		-starting-point-matcher "v[0-9]*.[0-9]*.[0-9]*" \
-		-config-file .gitlab/changelog.yml \
-		-changelog-file CHANGELOG.md
-
-check-tags-in-changelog:
-	# Looking for tags in CHANGELOG
-	@git status | grep "On branch master" 2>&1 >/dev/null || echo "Check should be done on master branch only. Skipping."
-	@for tag in $$(git tag | grep -E "^v[0-9]+\.[0-9]+\.[0-9]+$$" | sed 's|v||' | sort -g); do \
-		state="MISSING"; \
-		grep "^v $$tag" CHANGELOG.md 2>&1 >/dev/null; \
-		[ "$$?" -eq 1 ] || state="OK"; \
-		echo "$$tag:   \t $$state"; \
-	done
-
-update_feature_flags_docs:
-	go run ./scripts/update-feature-flags-docs/main.go
-
-development_setup:
-	test -d tmp/gitlab-test || git clone https://gitlab.com/gitlab-org/ci-cd/tests/gitlab-test.git tmp/gitlab-test
-	if prlctl --version ; then $(MAKE) -C tests/ubuntu parallels ; fi
-	if vboxmanage --version ; then $(MAKE) -C tests/ubuntu virtualbox ; fi
-
-check_modules:
-	# Check if there is any difference in vendor/
-	@git status -sb vendor/ > /tmp/vendor-$${CI_JOB_ID}-before
-	@go mod vendor
-	@git status -sb vendor/ > /tmp/vendor-$${CI_JOB_ID}-after
-	@diff -U0 /tmp/vendor-$${CI_JOB_ID}-before /tmp/vendor-$${CI_JOB_ID}-after
-
-	# check go.sum
-	@git diff go.sum > /tmp/gosum-$${CI_JOB_ID}-before
-	@go mod tidy
-	@git diff go.sum > /tmp/gosum-$${CI_JOB_ID}-after
-	@diff -U0 /tmp/gosum-$${CI_JOB_ID}-before /tmp/gosum-$${CI_JOB_ID}-after
-
-# development tools
-$(GOX):
-	go get github.com/mitchellh/gox
-
-$(GOLANGLINT): TOOL_BUILD_DIR := .tmp/build/golangci-lint
