=== debian/changelog ===
gitlab-ci-multi-runner (14.10.1-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2020-13327 (Closes: #985377).
    + fixed CVE-2021-39947 (Closes: #1016138).
    + fixed FTBFS with raven-go 0.2 (Closes: #1005382).
    + fixed FTBFS "TestConfigParse failure" (Closes: #1010124).
  * Removed "gorilla-context-dev" from Build-Depends (Closes: #1023116).
  * Fixed FTBFS (test failure) (Closes: #1010452).
  * Corrected Build-Deps (Closes: #1014427).
    Thanks, Steve Langasek.
  * Standards-Version: 4.6.2.
  * New MUT component "vendor" with private Golang dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 23 Mar 2023 18:04:35 +1100
