=== debian/control ===
--- 
+++ 
@@ -1,56 +1,93 @@
 Source: gitlab-ci-multi-runner
 Section: devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12) ,dh-golang
-              ,golang-any (>= 2:1.13~)
+Build-Depends: debhelper-compat (= 12) ,dh-golang (>= 1.58~)
+              ,golang-any (>= 2:1.19~)
+    ,golang-github-azure-azure-pipeline-go-dev
+    ,golang-github-azure-azure-storage-blob-go-dev
     ,golang-github-azure-go-ansiterm-dev
     ,golang-github-azure-go-autorest-dev (>= 14.1.1~)
     ,golang-github-blang-semver-dev
     ,golang-github-bmatcuk-doublestar-dev
     ,golang-github-burntsushi-toml-dev
-    ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
+    ,golang-github-creack-pty-dev (>= 1.1.18~)
+    ,golang-github-docker-distribution-dev
+    ,golang-github-docker-docker-credential-helpers-dev
     ,golang-github-docker-docker-dev (>= 20.10.0~beta1)
-#       ,golang-github-docker-distribution-dev
     ,golang-github-docker-go-connections-dev (>= 0.4.0~)
     ,golang-github-docker-go-units-dev
     ,golang-github-docker-spdystream-dev
     ,golang-github-dustin-go-humanize-dev
-    ,golang-github-emicklei-go-restful-dev (>= 2.4.0~)
+    ,golang-github-elazarl-go-bindata-assetfs-dev
+    ,golang-github-emicklei-go-restful-dev
     ,golang-github-emicklei-go-restful-swagger12-dev
+    ,golang-github-fullsailor-pkcs7-dev
     ,golang-github-getsentry-raven-go-dev
+    ,golang-github-getsentry-sentry-go-dev
     ,golang-github-ghodss-yaml-dev
     ,golang-github-gofrs-flock-dev
+    ,golang-github-gogo-protobuf-dev
     ,golang-github-go-ini-ini-dev
+    ,golang-github-golang-groupcache-dev
+    ,golang-github-golang-snappy-dev
+    ,golang-github-go-logr-logr-dev
+    ,golang-github-googleapis-gax-go-dev
     ,golang-github-googleapis-gnostic-dev
+    ,golang-github-google-go-cmp-dev (>= 0.5.9~)
     ,golang-github-google-gofuzz-dev
+    ,golang-github-google-uuid-dev
+    ,golang-github-google-wire-dev
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev
-    ,golang-github-gorilla-context-dev
     ,golang-github-gorilla-mux-dev
+    ,golang-github-gorilla-websocket-dev
+    ,golang-github-hashicorp-go-sockaddr-dev
     ,golang-github-hashicorp-go-version-dev
     ,golang-github-howeyc-gopass-dev
     ,golang-github-imdario-mergo-dev
     ,golang-github-jpillora-backoff-dev
     ,golang-github-json-iterator-go-dev
+    ,golang-github-kardianos-service-dev
+    ,golang-github-klauspost-compress-dev (>= 1.15.12~)
+    ,golang-github-klauspost-cpuid-dev
+    ,golang-github-klauspost-pgzip-dev
     ,golang-github-kr-pty-dev
     ,golang-github-mattn-go-zglob-dev
-    ,golang-github-minio-minio-go-dev (>= 6.0.11~)
+    ,golang-github-minio-md5-simd-dev
+    ,golang-github-minio-minio-go-v7-dev
+    ,golang-github-minio-sha256-simd-dev
+    ,golang-github-mitchellh-go-homedir-dev
+    ,golang-github-mitchellh-mapstructure-dev
+    ,golang-github-moby-term-dev
+    ,golang-github-morikuni-aec-dev
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-pmezard-go-difflib-dev
-    ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
+    ,golang-github-prometheus-client-golang-dev (>= 1.11.1~)
+    ,golang-github-rs-xid-dev
+    ,golang-github-ryanuber-go-glob-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0.6~)
     ,golang-github-spf13-pflag-dev
-    ,golang-github-stretchr-testify-dev (>= 1.2.1~)
+    ,golang-github-stretchr-testify-dev (>= 1.8.0~)
+    ,golang-github-tevino-abool-dev
     ,golang-github-urfave-cli-dev
+    ,golang-gocloud-dev
     ,golang-golang-x-crypto-dev
     ,golang-golang-x-oauth2-google-dev
     ,golang-golang-x-sync-dev
+    ,golang-google-api-dev
     ,golang-google-cloud-dev
+    ,golang-google-grpc-dev
+    ,golang-google-protobuf-dev (>= 1.27.1~)
     ,golang-gopkg-inf.v0-dev
+    ,golang-gopkg-ini.v1-dev
+    ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-gopkg-yaml.v3-dev
     ,golang-yaml.v2-dev
+    ,mockery
 # tests:
     ,ca-certificates
     ,git
