=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 VER  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
 
 export DH_GOLANG_GO_GENERATE := 1
+
 export DH_GOPKG = gitlab.com/gitlab-org/gitlab-runner
 export DH_GOPKG_common = $(DH_GOPKG)/common
 #export DH_GOLANG_INSTALL_EXTRA := vendor
@@ -26,7 +27,7 @@
 override_dh_clean:
 	dh_clean $(MKPI)
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
-	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
+	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded[^:]*:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 	-find vendor -type d -empty -delete -print
 	-find . -type f -name '*.generated.go' -print -delete ## delete .generated.go files
