=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://gitlab.com/gitlab-org/gitlab-runner/-/tags?page=2 \
  .*/v?(\d[\.\d]*)/gitlab-runner-v?(?:\d[\.\d]*)\.tar\.bz2  debian ./debian/get-orig-source.sh
